Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory
Class BrowseResult

    java.lang.Object
      org.teleal.cling.support.contentdirectory.BrowseResult

    public class BrowseResult

extends java.lang.Object

Author:
  Alessio Gaeta, Christian Bauer

Field Summary
`protected org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `containerUpdateID`
`protected org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `count`
`protected java.lang.String` | `result`
`protected org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `totalMatches`

Constructor Summary
`BrowseResult(java.lang.String result, long count, long totalMatches)`
`BrowseResult(java.lang.String result, long count, long totalMatches, long updatedId)`
`BrowseResult(java.lang.String result, org.teleal.cling.model.types.UnsignedIntegerFourBytes count, org.teleal.cling.model.types.UnsignedIntegerFourBytes totalMatches, org.teleal.cling.model.types.UnsignedIntegerFourBytes containerUpdateID)`

Method Summary
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getContainerUpdateID()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getCount()`
`java.lang.String` | `getResult()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getTotalMatches()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    protected java.lang.String result

### count

    protected org.teleal.cling.model.types.UnsignedIntegerFourBytes count

### totalMatches

    protected org.teleal.cling.model.types.UnsignedIntegerFourBytes totalMatches

### containerUpdateID

    protected org.teleal.cling.model.types.UnsignedIntegerFourBytes containerUpdateID

Constructor Detail

### BrowseResult

    public BrowseResult(java.lang.String result,
                        org.teleal.cling.model.types.UnsignedIntegerFourBytes count,
                        org.teleal.cling.model.types.UnsignedIntegerFourBytes totalMatches,
                        org.teleal.cling.model.types.UnsignedIntegerFourBytes containerUpdateID)

### BrowseResult

    public BrowseResult(java.lang.String result,
                        long count,
                        long totalMatches)

### BrowseResult

    public BrowseResult(java.lang.String result,
                        long count,
                        long totalMatches,
                        long updatedId)

Method Detail

### getResult

    public java.lang.String getResult()

### getCount

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getCount()

### getTotalMatches

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getTotalMatches()

### getContainerUpdateID

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getContainerUpdateID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.